ViewHandler (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.viewer
Class ViewHandler

    java.lang.Object
      edu.harvard.hul.ois.jhove.HandlerBase
          edu.harvard.hul.ois.jhove.viewer.ViewHandler

All Implemented Interfaces:
  OutputHandler

    public class ViewHandler

extends HandlerBase

This is an output handler which connects JHOVE output to the Swing interface of the viewer application. It is responsible for creating appropriate windows and making them known to (?).

Author:
  Gary McGath

Nested Class Summary

Nested classes/interfaces inherited from class edu.harvard.hul.ois.jhove.HandlerBase
`HandlerBase.SynchronizedDateFormat`

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.HandlerBase
`_app, _base, _date, _defaultParams, _encoding, _init, _je, _level, _logger, _name, _note, _param, _release, _rights, _specification, _vendor, _writer, date, dateTime, iso8601`

Constructor Summary
`ViewHandler(JhoveWindow jhwin, App app, JhoveBase base)` Creates a ViewHandler.

Method Summary
`void` | `show()` Outputs minimal information about the application
`void` | `show(App app)` Outputs detailed information about the application, including configuration, available modules and handlers, etc.
`void` | `show(Module module)` Outputs information about a Module
`void` | `show(OutputHandler handler)` Outputs information about the OutputHandler specified in the parameter.
`void` | `show(RepInfo info)` Outputs the information contained in a RepInfo object.
`void` | `showFooter()` Complete the output.
`void` | `showHeader()` Do the initial output.

Methods inherited from class edu.harvard.hul.ois.jhove.HandlerBase
`analyze, applyDefaultParams, close, doctype, doctype, doubleArray, element, element, element, element, elementEnd, elementStart, elementStart, endDirectory, getDate, getEncoding, getIndent, getName, getNote, getRelease, getRights, getSpecification, getVendor, init, integerArray, integerArray, longArray, okToProcess, param, rationalArray, rationalArray10, reset, resetParams, setApp, setBase, setDefaultParams, setEncoding, setWriter, startDirectory, toDateTime, xmlDecl, xmlDecl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewHandler

    public ViewHandler(JhoveWindow jhwin,
                       App app,
                       JhoveBase base)

  Creates a ViewHandler.

  Parameters:
    `jhwin` - The JhoveWindow which acts as the parent to output windows.

Method Detail

### showHeader

    public void showHeader()

  Do the initial output. This needs to set up the window.

  Specified by:
    `showHeader` in interface `OutputHandler`
  Specified by:
    `showHeader` in class `HandlerBase`

### show

    public void show(RepInfo info)

  Outputs the information contained in a RepInfo object. showHeader must be called to set up the ViewWindow before this is called. I need to break out part of the ViewWindow code to here so it can produce the output for one file.

  Specified by:
    `show` in interface `OutputHandler`
  Specified by:
    `show` in class `HandlerBase`

### show

    public void show()

  Description copied from class: `HandlerBase`
  Outputs minimal information about the application

  Specified by:
    `show` in interface `OutputHandler`
  Specified by:
    `show` in class `HandlerBase`

### show

    public void show(App app)

  Description copied from class: `HandlerBase`
  Outputs detailed information about the application, including configuration, available modules and handlers, etc.

  Specified by:
    `show` in interface `OutputHandler`
  Specified by:
    `show` in class `HandlerBase`

### show

    public void show(Module module)

  Description copied from class: `HandlerBase`
  Outputs information about a Module

  Specified by:
    `show` in interface `OutputHandler`
  Specified by:
    `show` in class `HandlerBase`

### showFooter

    public void showFooter()

  Complete the output. Does this have to do anything?

  Specified by:
    `showFooter` in interface `OutputHandler`
  Specified by:
    `showFooter` in class `HandlerBase`

### show

    public void show(OutputHandler handler)

  Outputs information about the OutputHandler specified in the parameter. Since this never should occur in a normal list of handlers, it's unnecessary to do anything (I think).

  Specified by:
    `show` in interface `OutputHandler`
  Specified by:
    `show` in class `HandlerBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD